SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   VMware Horizon Vendors:   VMware
(VMware Issues Fix for VMware Horizon DaaS) Apache Struts Jakarata Multipart Parser Bug Lets Remote Users Execute Arbitrary Commands on the Target System
SecurityTracker Alert ID:  1038118
SecurityTracker URL:  http://securitytracker.com/id/1038118
CVE Reference:   CVE-2017-5638   (Links to External Site)
Date:  Mar 23 2017
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  

Description:   A vulnerability was reported in Apache Struts. A remote user can execute arbitrary commands on the target system. VMware Horizon DaaS is affected.

A remote user can supply specially crafted Content-Type data to exploit a flaw in the Jakarta multipart parser and execute arbitrary operating system commands on the target system.

Nike Zheng reported this vulnerability.

Impact:   A remote user can execute arbitrary operating system commands on the target system.
Solution:   VMware has issued a fix for CVE-2017-5638 for VMware Horizon DaaS.

For 6.1.x: KB2149588
For 6.1.6: KB2149500
For 7.x: KB2149495

The VMware advisory is available at:

http://www.vmware.com/security/advisories/VMSA-2017-0004.html

Vendor URL:  www.vmware.com/security/advisories/VMSA-2017-0004.html (Links to External Site)
Cause:   Access control error

Message History:   This archive entry is a follow-up to the message listed below.
Mar 9 2017 Apache Struts Jakarata Multipart Parser Bug Lets Remote Users Execute Arbitrary Commands on the Target System



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC